Tablewealth

List transactions for one accessible account

GET
/v1/accounts/{accountId}/transactions

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

accountId*string
Formatuuid

Query Parameters

dateFrom?string
Formatdate
dateTo?string
Formatdate
pending?boolean
visibility?string
Value in"active" | "ignored" | "all"
category?string
pageSize?integer
Range1 <= value <= 100
pageToken?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/v1/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/transactions"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
      "accountOwnershipPercentage": 0,
      "entity": null,
      "transactionDate": "2019-08-24",
      "authorizedDate": "2019-08-24",
      "name": "string",
      "merchantName": "string",
      "amount": 0,
      "displayAmount": 0,
      "currencyCode": "string",
      "pending": true,
      "isIgnored": true,
      "sourcePrimaryCategory": "string",
      "sourceDetailedCategory": "string",
      "organizationTransactionCategoryName": "string"
    }
  ],
  "pagination": {
    "pageSize": 0,
    "nextPageToken": "string"
  },
  "meta": {}
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}